MA_PRINT_STATS(3)

NAME
MA_print_stats - print MA usage statistics on the standard output (stdout)

C SYNOPSIS
#include "macdecls.h"
void MA_print_stats()

FORTRAN SYNOPSIS
#include "mafdecls.fh"
subroutine MA_print_stats

DESCRIPTION
MA_print_stats() prints MA allocation statistics (current and maximum number of blocks and total bytes for heap and stack) and calls per MA routine on the standard output (stdout).

DIAGNOSTICS
unavailable; recompile MA with -DSTATS
To use this routine, MA must be compiled with cpp option -DSTATS.

RETURN VALUE
C: None.
FORTRAN: None.

FILES
Include files: /msrc/proj/hpctools/ma/release/current/include
Library:       /msrc/proj/hpctools/ma/release/current/lib/platform/libma.a
Man pages:     /msrc/proj/hpctools/ma/release/current/man/man3
Source code:   /msrc/proj/hpctools/ma/release/current/tar/marelease.tar

SEE ALSO
MA(3), MA_summarize_allocated_blocks(3)

AUTHOR
Gregory S. Thomas, Pacific Northwest National Laboratory